### Encoding: latin1

### Name: algo.farrington
### Title: Surveillance for a time series using the Farrington procedure.
### Aliases: algo.farrington
### Keywords: classif

### ** Examples

#Read Salmonella Agona data
data("salmonella.agona")

#Do surveillance for the last 100 weeks.
n <- length(salmonella.agona$observed)
#Set control parameters.
control <- list(b=4,w=3,range=(n-100):n,reweight=TRUE, verbose=FALSE,alpha=0.01)
res <- algo.farrington(salmonella.agona,control=control)
#Plot the result.
plot(res,disease="Salmonella Agona",method="Farrington")



