### Encoding: latin1

### Name: algo.rki
### Title: The system used at the RKI
### Aliases: algo.rkiLatestTimepoint algo.rki algo.rki1 algo.rki2 algo.rki3
### Keywords: classif

### ** Examples

    # Create a test object
    disProgObj <- sim.pointSource(p = 0.99, r = 0.5, length = 208, A = 1,
                                      alpha = 1, beta = 0, phi = 0,
                                      frequency = 1, state = NULL, K = 1.7)

    # Test week 200 to 208 for outbreaks with a selfdefined rki
    algo.rki(disProgObj, control = list(range = 200:208, b = 1,
                                            w = 5, actY = TRUE))
    # The same for rki 1 to rki 3
    algo.rki1(disProgObj, control = list(range = 200:208))
    algo.rki2(disProgObj, control = list(range = 200:208))
    algo.rki3(disProgObj, control = list(range = 200:208))

    # Test for rki 1 the latest timepoint
    algo.rkiLatestTimepoint(disProgObj)



