### Name: display-methods
### Title: Display Methods for Surveillance Time-Series Objects
### Aliases: plot plot,sts,missing-method show,sts-method plot.sts.time
###   plot.sts.time.one plot.sts.spacetime plot.sts.alarm
### Keywords: ts

### ** Examples

data(ha)
shp <- system.file("shapes/berlin.shp",package="surveillance")
has4 <- disProg2sts(ha, map=readShapePoly(shp,IDvar="SNAME"))

print(has4)
plot(has4, type= observed ~ time)
plot(has4, type= observed ~ time | unit)
plot(has4, type= observed ~ 1 | unit)
plot(has4[1:20,1:2], type= observed ~ 1 | unit)
plot(aggregate(has4,nfreq=13), type= observed ~ 1 | unit * time)

## Not run: 
##D #Configure a png device printer for the plot command
##D dev.printer <-
##D list(device=png,extension=".png",width=640,height=480,name="/tmp/berlin")
##D 
##D #Do the animation
##D plot(aggregate(has4,nfreq=13), type = observed ~ 1 | unit * time, dev.printer=dev.printer)
##D 
##D #Use ImageMagick -- replace /sw/bin/convert by your path to convert
##D system(paste("/sw/bin/convert -delay 50 ",dev.printer$name,"*.png /tmp/animated.gif",sep=""))
## End(Not run)




